package hda.wheelschout;

import com.getcapacitor.JSObject;
import com.getcapacitor.NativePlugin;
import com.getcapacitor.Plugin;
import com.getcapacitor.PluginCall;
import com.getcapacitor.PluginMethod;

@NativePlugin()
public class GraphhopperJava extends Plugin {

    @PluginMethod()
    public void echo(PluginCall call) {
        String value = call.getString("value");

        JSObject ret = new JSObject();
        ret.put("value", value);
        call.success(ret);
    }

    @PluginMethod()
    public void storeContact(PluginCall call) {
        String name = call.getString("yourName", "default name");
        JSObject address = call.getObject("address", new JSObject());
        boolean isAwesome = call.getBoolean("isAwesome", false);


        JSObject result = new JSObject();
        result.put("name", "My name is" + name);
        result.put("age", 23);
        call.resolve(result);
    }
}
